diff -r a4113cc1cb5e lib/galaxy/web/base/controllers/admin.py
--- a/lib/galaxy/web/base/controllers/admin.py	Thu Jan 10 14:57:37 2013 -0500
+++ b/lib/galaxy/web/base/controllers/admin.py	Wed Jan 23 10:32:08 2013 -0600
@@ -1042,17 +1042,19 @@ class Admin( object ):
                                               or_( trans.app.model.Job.state == trans.app.model.Job.states.NEW,
                                                    trans.app.model.Job.state == trans.app.model.Job.states.QUEUED,
                                                    trans.app.model.Job.state == trans.app.model.Job.states.RUNNING,
                                                    trans.app.model.Job.state == trans.app.model.Job.states.UPLOAD ) ) ) \
                                .order_by( trans.app.model.Job.table.c.update_time.desc() )
         last_updated = {}
         for job in jobs:
             delta = datetime.utcnow() - job.update_time
-            if delta > timedelta( minutes=60 ):
+            if delta.days > 0:
+                last_updated[job.id] = '%s hours' % (delta.days * 24 + int( delta.seconds / 60 /60 ))
+            elif delta > timedelta( minutes=60 ):
                 last_updated[job.id] = '%s hours' % int( delta.seconds / 60 / 60 )
             else:
                 last_updated[job.id] = '%s minutes' % int( delta.seconds / 60 )
         return trans.fill_template( '/admin/jobs.mako',
                                     jobs = jobs,
                                     last_updated = last_updated,
                                     cutoff = cutoff,
                                     msg = msg,
